﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Collections;
using System.Globalization;

namespace DMAPIExample
{
    public partial class MainForm : Form
    {
        private DMAPI.Commands dmapi = new DMAPI.Commands();
   
        public MainForm()
        {
            InitializeComponent();
        }

        private void bLogin_Click(object sender, EventArgs e)
        {
            if (dmapi.isConnected()) dmapi.Logout();
            if (dmapi.Login("https://dmapi.joker.com", txtUsername.Text, txtPassword.Text))
            {
                lbAvailTLDs.Items.Clear();
                if (dmapi.GetAvailableTLDs() != null) lbAvailTLDs.Items.AddRange(dmapi.GetAvailableTLDs());
                txtDMAPIVersion.Text = dmapi.GetDmapiVersion();
                //txtAccountBalance.Text = string.Format(CultureInfo.GetCultureInfo("en-US"),"{0:c}",dmapi.account_balance);
                txtAccountBalance.Text = string.Format("{0:n}", dmapi.account_balance) + " USD";
                lvDomains.Items.Clear();
                ArrayList domains = dmapi.DomainList("*");
                foreach (string[] domain in domains)
                {
                    lvDomains.Items.Add(new ListViewItem(domain));
                }
            }
            
        }

        private void lvDomains_DoubleClick(object sender, EventArgs e)
        {
            if (dmapi.isConnected()&&lvDomains.SelectedItems.Count==1)
            {
                ArrayList whois = dmapi.DomainWhois(lvDomains.SelectedItems[0].Text);
                new ResultForm("Whois", whois).Show();
            }

        }

        private void ControlForm_FormClosed(object sender, FormClosedEventArgs e)
        {
            dmapi.Logout();
        }

        private void bResultList_Click(object sender, EventArgs e)
        {
            if (dmapi.isConnected())
            {
                ArrayList results = dmapi.ResultList();
                new ResultForm("Result List", results).Show();
            }

        }

        private void bEmailList_Click(object sender, EventArgs e)
        {
            if (dmapi.isConnected())
            {
                ArrayList results = dmapi.EmailList();
                new ResultForm("Email List", dmapi.columns, results).Show();
            }
        }

        private void bLogout_Click(object sender, EventArgs e)
        {
            if (dmapi.isConnected())
            {
                dmapi.Logout();
                lbAvailTLDs.Items.Clear();
                lvDomains.Items.Clear();
            }
        }

        private void bEmailDetails_Click(object sender, EventArgs e)
        {
            if (dmapi.isConnected())
            {
                ArrayList results = dmapi.EmailDetails(txtKey.Text);
                new ResultForm("Email Details", dmapi.columns, results).Show();
            }
        }

        private void BEmailVerify_Click(object sender, EventArgs e)
        {
            if (dmapi.isConnected())
            {
                string result = dmapi.EmailVerify(txtKey.Text,true);
                MessageBox.Show("Result: " + result, "Email Verification", MessageBoxButtons.OK, MessageBoxIcon.Information);
            }
        }

        private void bEmailValidate_Click(object sender, EventArgs e)
        {
            if (dmapi.isConnected())
            {
                string result = dmapi.EmailValidate(txtOwnerEmail.Text);
                MessageBox.Show("Result: " + result, "Resend Owner Email", MessageBoxButtons.OK, MessageBoxIcon.Information);
            }
        }

    }
}
