﻿using System;
using System.Collections.Generic;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace DMAPIExample
{
    public partial class ResultForm : Form
    {
        public ResultForm(String title, ArrayList values)
        {
            InitializeComponent();
            this.Text = title;
            if (values == null || values.Count == 0 || !values[0].GetType().IsArray) return;


            string[] firstEntry = (string[]) values[0];
            if (firstEntry.Length > 2)    
            {
                lvResults.Columns.Clear();
                int counter = 0;
                foreach (String column in firstEntry)
                {
                    counter++;
                    ColumnHeader header = lvResults.Columns.Add(new ColumnHeader().Text="Column "+counter.ToString());
                }
            }
            

            foreach (string[] value in values)
            {
                lvResults.Items.Add(new ListViewItem(value));
            }

            foreach (ColumnHeader header in lvResults.Columns)
            {
                header.AutoResize(ColumnHeaderAutoResizeStyle.ColumnContent);
            }

        }

        public ResultForm(String title, string[] columns, ArrayList values): this(title,values)
        {
            if (columns == null || columns.Length == 0) return;

            int count = columns.Length > lvResults.Columns.Count ? lvResults.Columns.Count : columns.Length;

            for (int i = 0; i < count; i++)
            {
                lvResults.Columns[i].Text = columns[i];
            }

        }

    }


}
